com.r3corda.node.driver / DriverDSL / startNode

# startNode

`fun startNode(providedName: String?, advertisedServices: Set<ServiceType>): Future<NodeInfo>`
Overrides DriverDSLExposedInterface.startNode

Starts a Node in a separate process.

### Parameters

`providedName` - Optional name of the node, which will be its legal name in Party. Defaults to something random. Note that this must be unique as the driver uses it as a primary key
`advertisedServices` - The set of services to be advertised by the node. Defaults to empty set.

Return
The NodeInfo of the started up node retrieved from the network map service.